import request from '@/utils/request'

// 查询物料检验项目维护列表
export function listCheckTypeProject(query) {
	return request({
		url: '/quality/checkTypeProject/list',
		method: 'get',
		params: query
	});
}

// 查询物料检验项目维护详细
export function getCheckTypeProject(id) {
	return request({
		url: '/quality/checkTypeProject/' + id,
		method: 'get'
		});
}

// 新增物料检验项目维护
export function addCheckTypeProject(data) {
	return request({
		url: '/quality/checkTypeProject',
		method: 'post',
		data: data
	});
}

// 修改物料检验项目维护
export function updateCheckTypeProject(data) {
	return request({
		url: '/quality/checkTypeProject',
		method: 'put',
		data: data
	});
}

// 删除物料检验项目维护
export function delCheckTypeProject(id) {
	return request({
		url: '/quality/checkTypeProject/' + id,
		method: 'delete'
	});
}
